#[derive(serde::Serialize, serde::Deserialize)]
pub struct JWTData<'l> {
    pub sub: &'l str,
    pub iss: &'l str,
    pub aud: &'l str,
    pub iat: u64,
    pub exp: u64,

    #[serde(flatten)]
    pub extras: std::collections::HashMap<String, serde_json::Value>,
}

impl<'l> Into<String> for JWTData<'l> {
    fn into(self) -> String {
        serde_json::to_string(&self).unwrap()
    }
}
